Bug 1774875 (CVE-2019-14896) - CVE-2019-14896 kernel: heap-based buffer overflow in lbs_ibss_join_existing function in drivers/net/wireless/marvell/libertas/cfg.c
Summary: CVE-2019-14896 kernel: heap-based buffer overflow in lbs_ibss_join_existing f...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-14896
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1776143 1776569
Blocks: 1774876
TreeView+ depends on / blocked
 
Reported: 2019-11-21 07:51 UTC by Dhananjay Arunesh
Modified: 2021-02-16 21:02 UTC (History)
48 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A heap-based buffer overflow vulnerability was found in the Linux kernel's Marvell WiFi chip driver. A remote attacker could cause a denial of service (system crash) or, possibly execute arbitrary code, when the lbs_ibss_join_existing function is called after a STA connects to an AP.
Clone Of:
Environment:
Last Closed: 2020-08-25 19:17:36 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3548 0 None None None 2020-08-25 13:34:23 UTC

Description Dhananjay Arunesh 2019-11-21 07:51:28 UTC
A vulnerability was found in marvell wifi chip driver in Linux kernel. There is a heap-based buffer overflow in lbs_ibss_join_existing function in drivers/net/wireless/marvell/libertas/cfg.c allows remote attackers to cause a denial of service(system crash) or possibly execute arbitrary code. When STA connects to AP, add_ie_rates function will be called for STA.

Comment 1 msiddiqu 2019-11-25 06:53:03 UTC
Upstream patch: 

https://patchwork.kernel.org/patch/11257187/

Comment 3 Marian Rehak 2019-11-25 08:34:08 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1776143]

Comment 4 msiddiqu 2019-11-25 09:34:28 UTC
Acknowledgments:

Name: ADLab of Venustech

Comment 7 errata-xmlrpc 2020-08-25 13:34:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:3548 https://access.redhat.com/errata/RHSA-2020:3548

Comment 8 Product Security DevOps Team 2020-08-25 19:17:36 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-14896


Note You need to log in before you can comment on or make changes to this bug.